Author Topic: Using the automated installer installs an old version which crashes the game.  (Read 1016 times)

0 Members and 1 Guest are viewing this topic.

Using the automated installer installs an old version which crashes the game.
Using the FreeSpaceOpenInstaller Java Installer to install FSOpen installs version 3.1.1. This causes the game to crash when you get to level four where some missing texture/file/whatever is called for in the briefing room (S_Rockeye or something).

If you try to launch the mod after that, the game crashes out with errors such as:

Code: [Select]
TBM  =>  Starting parse of 'fs1_effects-wep.tbm' ...
WARNING: "Weapon explosion 'Shivan_Impact01' does not have an LOD0 anim!" at weapons.cpp:180
WARNING: "Weapon explosion 'Akheton_Impact' does not have an LOD0 anim!" at weapons.cpp:180
WARNING: "Weapon explosion 'Prometheus_Impact' does not have an LOD0 anim!" at weapons.cpp:180
WARNING: "Weapon explosion 'Prometheus_Impact' does not have an LOD0 anim!" at weapons.cpp:180
WARNING: "Weapon explosion 'Maxim_Impact' does not have an LOD0 anim!" at weapons.cpp:180

I'm told this is because "The FSOpen team haven't updated their ****.". A work-around is to manually install FSPort 3.2 (from the Complete package) after deleting / mv'ing the  'fsport' and 'fsport-mediavps' directories from my existing FS2 root dir.

NOTES:

The mod.ini file laid down by the automated installer is:

Code: [Select]
[launcher]
modname      = FSPort v3.1.1;
image255x112 = fsport.bmp;
infotext     = A fourteen-year war between the Terran and Vasudan species leads into something far more sinister.  This is the story of the Great War.;
website      = http://fsport.hard-light.net/;
forum        = http://www.hard-light.net/forums/index.php/board,39.0.html;

The one in the Retail 3.2 package linked above:

Code: [Select]
[launcher]
modname      = FSPort v3.2;
image255x112 = fsport.bmp;
infotext     = A fourteen-year war between the Terran and Vasudan species leads into something far more sinister.  This is the story of the Great War.;
website      = http://fsport.hard-light.net/;
forum        = http://www.hard-light.net/forums/index.php/board,39.0.html;

Clearly the .vp files etc. are different too.

 

Offline Goober5000

  • HLP Loremaster
  • Administrator
  • 214
    • Goober5000 Productions
Re: Using the automated installer installs an old version which crashes the game.
Yup.  I need to double-check some things with Galemp.